Debian Bug report logs - #319986
linux-image-2.6.12-1-powerpc64 fails on dual G5 PowerMac7,3

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Shyamal Prasad <shyamalprasad@verizon.net>

Date: Tue, 26 Jul 2005 04:03:02 UTC

Severity: important

Tags: fixed

Merged with 323724, 328242

Fixed in version linux-2.6/2.6.12-7

Done: Simon Horman <horms@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Shyamal Prasad <shyamalprasad@verizon.net>, Sven Luther <sven.luther@wanadoo.fr>, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#319986; Package kernel. Full text and rfc822 format available.

Acknowledgement sent to Shyamal Prasad <shyamalprasad@verizon.net>:
New Bug report received and forwarded. Copy sent to Shyamal Prasad <shyamalprasad@verizon.net>, Sven Luther <sven.luther@wanadoo.fr>, Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Shyamal Prasad <shyamalprasad@verizon.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: powerpc: kernel-image-2.6.12-sven64 does not boot dual CPU PowerMac7,3
Date: Mon, 25 Jul 2005 20:51:46 -0700
Package: kernel
Severity: important

    "Sven" == Sven Luther <sven.luther@wanadoo.fr> writes
     [http://lists.debian.org/debian-powerpc/2005/07/msg00304.html]: 

    Sven> Oh, darn, thsis means something is broken. or something
    Sven> else,, please can you comment on a real bugreporty
    Sven> (reportbug kernel should do).

The 2.6.12-sven64_1_powerpc.deb that was tested can be found at
http://people.debian.org/~luther/ppc64/kernel-image-2.6.12-sven64_1_powerpc.deb

  [The text below was originally posted to debian-powerpc
    http://lists.debian.org/debian-powerpc/2005/07/msg00273.html ]

This kernel fails to boot a dual 970FX G5 (PowerMac7,3). I'm not sure what
the relevant parts you need are, but after the initial start it
switches to a reverse video terminal mode, runs for a bit and prints
about a screenful of data ending with

<quote>
time_init: decrementer frequency 33.333333 Mhz
smp_core99_probe
smp_core99_kick_cpu
smp_core99_kick_cpu done
smp_core99_setup_cup 0 done

2.6.12-sven64
</quote>

which I copied by hand. If you need some other input from earlier let
me know what you are looking for (its a pain to copy it all by
hand). Here is the cpuinfo for this machine running 2.6.8-power4-smp

~$ cat /proc/cpuinfo 
processor       : 0
cpu             : PPC970FX
clock           : 2000MHz
revision        : 3.0 (pvr 003c 0300)
bogomips        : 1331.20

processor       : 1
cpu             : PPC970FX
clock           : 2000MHz
revision        : 3.0 (pvr 003c 0300)
bogomips        : 1331.20

total bogomips  : 2662.40
machine         : PowerMac7,3
motherboard     : PowerMac7,3 MacRISC4 Power Macintosh 
detected as     : 336 (PowerMac G5)
pmac flags      : 00000000
L2 cache        : 512K unified
memory          : 0MB
pmac-generation : NewWorld

Sorry for the sketchy info - my job has kept me off my G5 Linux box
for the last few months and I've lost touch with the little idea I had
about what is useful :-(

Cheers!
Shyamal



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#319986; Package kernel. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <sven.luther@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Sven Luther <sven.luther@wanadoo.fr>
To: Shyamal Prasad <shyamalprasad@verizon.net>, 319986@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#319986: powerpc: kernel-image-2.6.12-sven64 does not boot dual CPU PowerMac7,3
Date: Sun, 31 Jul 2005 19:50:05 +0200
On Mon, Jul 25, 2005 at 08:51:46PM -0700, Shyamal Prasad wrote:
> Package: kernel
> Severity: important
> 
>     "Sven" == Sven Luther <sven.luther@wanadoo.fr> writes
>      [http://lists.debian.org/debian-powerpc/2005/07/msg00304.html]: 
> 
>     Sven> Oh, darn, thsis means something is broken. or something
>     Sven> else,, please can you comment on a real bugreporty
>     Sven> (reportbug kernel should do).
> 
> The 2.6.12-sven64_1_powerpc.deb that was tested can be found at
> http://people.debian.org/~luther/ppc64/kernel-image-2.6.12-sven64_1_powerpc.deb
> 
>   [The text below was originally posted to debian-powerpc
>     http://lists.debian.org/debian-powerpc/2005/07/msg00273.html ]

Thanks for the report, i will have a look now.

Friendly;

Sven Luther




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#319986; Package kernel. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <sven.luther@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#319986; Package kernel. Full text and rfc822 format available.

Acknowledgement sent to Shyamal Prasad <shyamalprasad@verizon.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 319986@bugs.debian.org (full text, mbox):

From: Shyamal Prasad <shyamalprasad@verizon.net>
To: 319986@bugs.debian.org, control@bug.debian.org
Cc: Sven Luther <sven.luther@wanadoo.fr>
Subject: linux-image-2.6.12-1-powerpc64 continues to fail on PowerMac7,3
Date: Fri, 19 Aug 2005 23:16:42 -0700
retitle 319986 linux-image-2.6.12-1-powerpc64 fails on dual G5 PowerMac7,3
stop

Hi Sven,

I tested the new linux image on a dual G5 PowerMac7,3 and it fails in
a similar fashion as kernel-image-2.6.12-sven64 did. 

Let me know if I can provide you more information etc or otherwise
help out.

Cheers!
Shyamal

PS: Aargh...got to learn this new version stuff on bugs.d.o....



Changed Bug title. Request was from Shyamal Prasad <shyamalprasad@verizon.net> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kernel' to `linux-2.6'. Request was from Shyamal Prasad <shyamalprasad@verizon.net> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 319986 328242. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 319986 323724 328242. Request was from Paul Brossier <piem@altern.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Sven Luther <sven.luther@wanadoo.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#319986; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Shyamal Prasad <shyamalprasad@verizon.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 319986@bugs.debian.org (full text, mbox):

From: Shyamal Prasad <shyamalprasad@verizon.net>
To: 319986@bugs.debian.org
Cc: sven.luter@wanadoo.fr
Subject: linux-image-2.6.12-1-powerpc64 fails on dual G5 PowerMac7,3
Date: Wed, 21 Sep 2005 18:22:07 -0700
Just got back to working on my linux box and noticed that Paul
Brossier seems to have found a fix for his problems on a PowerMac7,2
(#323724).

Just for the record, I can confirm that removing the NVIDIA FB allows
me to also boot a PowerMac7,3 using a 64 bit kernel built with
2.6.12-6.

Cheers!
Shyamal



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#319986; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <sven.luther@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 319986@bugs.debian.org (full text, mbox):

From: Sven Luther <sven.luther@wanadoo.fr>
To: Shyamal Prasad <shyamalprasad@verizon.net>, 319986@bugs.debian.org
Cc: sven.luter@wanadoo.fr
Subject: Re: Bug#319986: linux-image-2.6.12-1-powerpc64 fails on dual G5 PowerMac7,3
Date: Thu, 22 Sep 2005 08:25:13 +0200
On Wed, Sep 21, 2005 at 06:22:07PM -0700, Shyamal Prasad wrote:
> 
> Just got back to working on my linux box and noticed that Paul
> Brossier seems to have found a fix for his problems on a PowerMac7,2
> (#323724).
> 
> Just for the record, I can confirm that removing the NVIDIA FB allows
> me to also boot a PowerMac7,3 using a 64 bit kernel built with
> 2.6.12-6.

Indeed, 2.6.12-7 which will hit the archive in a day or two will solve this
problem and more.

Friendly,

Sven Luther




Reply sent to Simon Horman <horms@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Shyamal Prasad <shyamalprasad@verizon.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #45 received at 323724-close@bugs.debian.org (full text, mbox):

From: Simon Horman <horms@debian.org>
To: 323724-close@bugs.debian.org
Subject: Bug#323724: fixed in linux-2.6 2.6.12-7
Date: Thu, 22 Sep 2005 05:17:30 -0700
Source: linux-2.6
Source-Version: 2.6.12-7

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

kernel-image-2.6-386_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/kernel-image-2.6-386_2.6.12-7_i386.deb
kernel-image-2.6-686-smp_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/kernel-image-2.6-686-smp_2.6.12-7_i386.deb
kernel-image-2.6-686_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/kernel-image-2.6-686_2.6.12-7_i386.deb
kernel-image-2.6-k7-smp_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/kernel-image-2.6-k7-smp_2.6.12-7_i386.deb
kernel-image-2.6-k7_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/kernel-image-2.6-k7_2.6.12-7_i386.deb
linux-2.6_2.6.12-7.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.12-7.diff.gz
linux-2.6_2.6.12-7.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.12-7.dsc
linux-doc-2.6.12_2.6.12-7_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.12_2.6.12-7_all.deb
linux-headers-2.6-386_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6-386_2.6.12-7_i386.deb
linux-headers-2.6-686-smp_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6-686-smp_2.6.12-7_i386.deb
linux-headers-2.6-686_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6-686_2.6.12-7_i386.deb
linux-headers-2.6-k7-smp_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6-k7-smp_2.6.12-7_i386.deb
linux-headers-2.6-k7_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6-k7_2.6.12-7_i386.deb
linux-headers-2.6.12-1-386_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.12-1-386_2.6.12-7_i386.deb
linux-headers-2.6.12-1-686-smp_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.12-1-686-smp_2.6.12-7_i386.deb
linux-headers-2.6.12-1-686_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.12-1-686_2.6.12-7_i386.deb
linux-headers-2.6.12-1-k7-smp_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.12-1-k7-smp_2.6.12-7_i386.deb
linux-headers-2.6.12-1-k7_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.12-1-k7_2.6.12-7_i386.deb
linux-headers-2.6.12-1_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.12-1_2.6.12-7_i386.deb
linux-image-2.6-386_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6-386_2.6.12-7_i386.deb
linux-image-2.6-686-smp_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6-686-smp_2.6.12-7_i386.deb
linux-image-2.6-686_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6-686_2.6.12-7_i386.deb
linux-image-2.6-k7-smp_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6-k7-smp_2.6.12-7_i386.deb
linux-image-2.6-k7_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6-k7_2.6.12-7_i386.deb
linux-image-2.6.12-1-386_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.12-1-386_2.6.12-7_i386.deb
linux-image-2.6.12-1-686-smp_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.12-1-686-smp_2.6.12-7_i386.deb
linux-image-2.6.12-1-686_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.12-1-686_2.6.12-7_i386.deb
linux-image-2.6.12-1-k7-smp_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.12-1-k7-smp_2.6.12-7_i386.deb
linux-image-2.6.12-1-k7_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.12-1-k7_2.6.12-7_i386.deb
linux-image-386_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-image-386_2.6.12-7_i386.deb
linux-image-686-smp_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-image-686-smp_2.6.12-7_i386.deb
linux-image-686_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-image-686_2.6.12-7_i386.deb
linux-image-k7-smp_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-image-k7-smp_2.6.12-7_i386.deb
linux-image-k7_2.6.12-7_i386.deb
  to pool/main/l/linux-2.6/linux-image-k7_2.6.12-7_i386.deb
linux-patch-debian-2.6.12_2.6.12-7_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.12_2.6.12-7_all.deb
linux-source-2.6.12_2.6.12-7_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.12_2.6.12-7_all.deb
linux-tree-2.6.12_2.6.12-7_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.12_2.6.12-7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 323724@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Horman <horms@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 22 Sep 2005 16:04:03 +0900
Source: linux-2.6
Binary: linux-image-sun3 linux-image-2.6-powerpc-miboot linux-headers-2.6.12-1-s390x linux-image-2.6-footbridge linux-image-2.6-parisc64 linux-image-2.6-amd64-generic kernel-image-2.6-686-smp linux-headers-2.6.12-1-amd64-generic linux-headers-2.6-atari kernel-image-2.6-386 linux-headers-2.6-s390 linux-image-2.6.12-1-rpc linux-image-2.6.12-1-mvme147 linux-image-mvme16x linux-image-2.6.12-1-sparc64 linux-headers-2.6.12-1-powerpc-smp linux-image-itanium linux-image-2.6-amd64-k8-smp linux-image-2.6.12-1-mckinley-smp linux-image-2.6-rpc linux-image-2.6-s390 linux-image-q40 linux-headers-2.6.12-1 linux-headers-2.6-sparc64-smp linux-headers-2.6-mvme147 linux-image-2.6.12-1-bvme6000 linux-image-footbridge kernel-image-2.6-itanium-smp linux-image-2.6.12-1-powerpc-miboot linux-headers-2.6-686-smp linux-image-atari linux-image-2.6.12-1-mckinley linux-image-2.6-q40 kernel-image-2.6-k7-smp linux-image-2.6.12-1-powerpc linux-headers-2.6-powerpc-miboot linux-headers-2.6.12-1-itanium-smp linux-image-2.6.12-1-parisc-smp linux-image-s390 linux-headers-2.6.12-1-s390 linux-headers-2.6.12-1-k7-smp linux-image-2.6-itanium linux-image-parisc-smp linux-image-2.6.12-1-parisc linux-headers-2.6.12-1-amd64-k8-smp linux-image-amd64-k8-smp linux-headers-2.6.12-1-parisc64 linux-image-2.6-parisc-smp linux-image-2.6.12-1-itanium linux-headers-2.6.12-1-386 linux-headers-2.6-amd64-generic linux-image-2.6-mckinley-smp linux-image-amiga linux-image-2.6-k7 linux-image-mckinley-smp linux-image-em64t-p4-smp linux-image-2.6-powerpc linux-image-parisc64-smp linux-headers-2.6-s3c2410 linux-image-2.6-hp linux-image-sparc64-smp linux-tree-2.6.12 linux-headers-2.6.12-1-mac linux-headers-2.6-parisc64-smp linux-headers-2.6.12-1-mckinley-smp linux-image-2.6-parisc64-smp kernel-image-2.6-mckinley linux-image-powerpc-smp linux-headers-2.6-itanium-smp kernel-image-2.6-power3 kernel-image-2.6-powerpc kernel-image-2.6-generic linux-headers-2.6-mvme16x linux-image-2.6-alpha-generic linux-headers-2.6-amd64-k8-smp linux-image-2.6-em64t-p4 linux-headers-2.6.12-1-em64t-p4-smp linux-headers-2.6-powerpc linux-image-hp linux-headers-2.6-em64t-p4-smp kernel-image-powerpc-smp linux-headers-2.6-sparc64 linux-image-2.6.12-1-mac linux-headers-2.6.12-1-parisc linux-image-powerpc64 linux-headers-2.6-hp linux-headers-2.6-powerpc64 linux-headers-2.6.12-1-q40 linux-headers-2.6.12-1-686 linux-headers-2.6.12-1-alpha-smp linux-headers-2.6.12-1-sparc64 linux-headers-2.6.12-1-alpha-generic linux-headers-2.6.12-1-ixp4xx linux-headers-2.6.12-1-powerpc-miboot linux-image-2.6.12-1-q40 linux-image-2.6.12-1-em64t-p4 linux-headers-2.6-mac linux-headers-2.6.12-1-mvme16x linux-source-2.6.12 linux-headers-2.6-em64t-p4 linux-headers-2.6-rpc linux-image-2.6-mckinley linux-headers-2.6.12-1-amiga linux-patch-debian-2.6.12 linux-headers-2.6-alpha-generic linux-image-2.6.12-1-parisc64 linux-headers-2.6-bvme6000 kernel-image-2.6-sparc64-smp kernel-image-powerpc linux-image-bvme6000 linux-headers-2.6-alpha-smp linux-image-2.6.12-1-sun3 linux-image-2.6-atari linux-image-2.6.12-1-atari linux-image-s3c2410 linux-headers-2.6-386 linux-headers-2.6-sun3 linux-image-2.6.12-1-386 linux-headers-2.6.12-1-itanium linux-headers-2.6-mckinley-smp kernel-image-2.6-power4-smp linux-image-parisc64 linux-image-2.6.12-1-ixp4xx linux-image-k7-smp linux-image-2.6.12-1-alpha-generic linux-doc-2.6.12 linux-image-386 kernel-image-power3-smp linux-headers-2.6.12-1-sparc64-smp linux-image-2.6-parisc linux-headers-2.6.12-1-sun3 linux-image-2.6-bvme6000 linux-image-mckinley linux-headers-2.6.12-1-k7 linux-image-2.6.12-1-k7-smp linux-image-itanium-smp linux-image-2.6-sparc64-smp linux-headers-2.6-s390x linux-headers-2.6-parisc linux-image-2.6.12-1-amiga linux-image-2.6.12-1-powerpc-smp linux-headers-2.6.12-1-footbridge linux-image-2.6-ixp4xx linux-headers-2.6-q40 linux-image-2.6.12-1-s3c2410 linux-headers-2.6.12-1-atari kernel-image-2.6-k7 linux-headers-2.6.12-1-bvme6000 linux-image-2.6.12-1-amd64-k8-smp linux-image-ixp4xx linux-image-rpc linux-image-2.6-mac linux-headers-2.6.12-1-mvme147 linux-headers-2.6.12-1-parisc64-smp kernel-image-2.6-power3-smp linux-image-2.6-s390x kernel-image-2.6-smp linux-image-2.6.12-1-sparc64-smp linux-headers-2.6.12-1-powerpc linux-image-2.6.12-1-686-smp linux-image-alpha-smp linux-image-2.6.12-1-footbridge linux-headers-2.6.12-1-686-smp linux-image-2.6-amd64-k8 linux-image-parisc linux-headers-2.6-footbridge linux-image-2.6.12-1-686 linux-image-2.6.12-1-mvme16x linux-image-2.6-sparc64 linux-image-amd64-k8 linux-headers-2.6.12-1-mckinley kernel-image-power4 linux-image-2.6.12-1-k7 linux-image-2.6-s3c2410 linux-headers-2.6.12-1-parisc-smp linux-headers-2.6.12-1-em64t-p4 linux-headers-2.6-k7-smp linux-headers-2.6-mckinley linux-headers-2.6.12-1-rpc linux-image-em64t-p4 linux-image-2.6-686-smp linux-image-2.6.12-1-itanium-smp linux-image-2.6-mvme147 linux-headers-2.6-ixp4xx linux-image-2.6.12-1-amd64-k8 linux-image-powerpc-miboot linux-image-mvme147 linux-image-686-smp linux-image-2.6-alpha-smp linux-image-686 linux-image-2.6.12-1-s390x linux-headers-2.6.12-1-s3c2410 linux-headers-2.6-k7 linux-image-k7 linux-image-2.6-powerpc-smp linux-image-alpha-generic linux-image-s390x linux-image-2.6.12-1-alpha-smp linux-headers-2.6-686 linux-headers-2.6.12-1-powerpc64 linux-image-2.6.12-1-em64t-p4-smp linux-image-2.6-itanium-smp kernel-image-2.6-powerpc-smp linux-image-2.6-amiga linux-image-2.6.12-1-parisc64-smp linux-image-2.6-mvme16x linux-image-2.6.12-1-amd64-generic linux-headers-2.6.12-1-hp linux-headers-2.6-amiga linux-image-2.6-sun3 kernel-image-2.6-s390x linux-image-powerpc kernel-image-2.6-mckinley-smp linux-headers-2.6-parisc64 kernel-image-power3 linux-image-2.6-powerpc64 linux-headers-2.6-amd64-k8 linux-image-2.6.12-1-powerpc64 linux-headers-2.6-parisc-smp kernel-image-power4-smp linux-image-mac linux-image-2.6-386 kernel-image-2.6-sparc64 kernel-image-2.6-power4 linux-image-amd64-generic linux-headers-2.6.12-1-amd64-k8 kernel-image-2.6-itanium linux-image-2.6.12-1-hp linux-image-2.6.12-1-s390 linux-image-sparc64 linux-image-2.6-em64t-p4-smp linux-headers-2.6-itanium linux-headers-2.6-powerpc-smp linux-image-2.6-k7-smp linux-image-2.6-686 kernel-image-2.6-s390 kernel-image-2.6-686
Architecture: source i386 all
Version: 2.6.12-7
Distribution: unstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Simon Horman <horms@debian.org>
Description: 
 kernel-image-2.6-386 - Linux kernel 2.6.12 image on 386-class machines - transition pack
 kernel-image-2.6-686 - Linux kernel 2.6 image on PPro/Celeron/PII/PIII/P4 machines - tra
 kernel-image-2.6-686-smp - Linux kernel 2.6 image on PPro/Celeron/PII/PIII/P4 SMP machines -
 kernel-image-2.6-k7 - Linux kernel 2.6 image on AMD K7 machines - transition package
 kernel-image-2.6-k7-smp - Linux kernel 2.6 image on AMD K7 SMP machines - transition packag
 linux-doc-2.6.12 - Linux kernel specific documentation for version 2.6.12
 linux-headers-2.6-386 - Architecture-specific header files for Linux kernel 2.6 on 386-cl
 linux-headers-2.6-686 - Architecture-specific header files for Linux kernel 2.6 on PPro/C
 linux-headers-2.6-686-smp - Architecture-specific header files for Linux kernel 2.6 on PPro/C
 linux-headers-2.6-k7 - Architecture-specific header files for Linux kernel 2.6 on AMD K7
 linux-headers-2.6-k7-smp - Architecture-specific header files for Linux kernel 2.6 on AMD K7
 linux-headers-2.6.12-1 - Common architecture-specific header files for Linux kernel 2.6.12
 linux-headers-2.6.12-1-386 - Architecture-specific header files for Linux kernel 2.6.12 on 386
 linux-headers-2.6.12-1-686 - Architecture-specific header files for Linux kernel 2.6.12 on PPr
 linux-headers-2.6.12-1-686-smp - Architecture-specific header files for Linux kernel 2.6.12 on PPr
 linux-headers-2.6.12-1-k7 - Architecture-specific header files for Linux kernel 2.6.12 on AMD
 linux-headers-2.6.12-1-k7-smp - Architecture-specific header files for Linux kernel 2.6.12 on AMD
 linux-image-2.6-386 - Linux kernel 2.6 image on 386-class machines
 linux-image-2.6-686 - Linux kernel 2.6 image on PPro/Celeron/PII/PIII/P4 machines
 linux-image-2.6-686-smp - Linux kernel 2.6 image on PPro/Celeron/PII/PIII/P4 SMP machines
 linux-image-2.6-k7 - Linux kernel 2.6 image on AMD K7 machines
 linux-image-2.6-k7-smp - Linux kernel 2.6 image on AMD K7 SMP machines
 linux-image-2.6.12-1-386 - Linux kernel 2.6.12 image on 386-class machines
 linux-image-2.6.12-1-686 - Linux kernel 2.6.12 image on PPro/Celeron/PII/PIII/P4 machines
 linux-image-2.6.12-1-686-smp - Linux kernel 2.6.12 image on PPro/Celeron/PII/PIII/P4 SMP machine
 linux-image-2.6.12-1-k7 - Linux kernel 2.6.12 image on AMD K7 machines
 linux-image-2.6.12-1-k7-smp - Linux kernel 2.6.12 image on AMD K7 SMP machines
 linux-image-386 - Linux kernel image on 386-class machines
 linux-image-686 - Linux kernel image on PPro/Celeron/PII/PIII/P4 machines
 linux-image-686-smp - Linux kernel image on PPro/Celeron/PII/PIII/P4 SMP machines
 linux-image-k7 - Linux kernel image on AMD K7 machines
 linux-image-k7-smp - Linux kernel image on AMD K7 SMP machines
 linux-patch-debian-2.6.12 - Debian patches to version 2.6.12 of the Linux kernel
 linux-source-2.6.12 - Linux kernel source for version 2.6.12 with Debian patches
 linux-tree-2.6.12 - Linux kernel source tree for building Debian kernel images
Closes: 322734 323724 328324 328534
Changes: 
 linux-2.6 (2.6.12-7) unstable; urgency=high
 .
   [ Simon Horman ]
   * [SECURITY] The seq_file memory leak fix included in 2.6.12-6
     as part of upstream's 2.6.12.6 patchset is now CAN-2005-2800.
 .
   [ Sven Luther ]
   * [powerpc] Added hotplug support to the mv643xx_eth driver :
       powerpc-mv643xx-hotplug-support.patch
     thanks go to Nicolas Det for providing the patch.
   * [powerpc] Modified a couple of configuration options for the powerpc64
     flavour, fixes and enhances Apple G5 support (Closes: #323724, #328324)
   * [powerpc] Added powerpc-miboot flavour to use exclusively with oldworld
     powermac miboot floppies for debian-installer.
 .
   [ Jurij Smakov ]
   * Backport of dpt_i2o SCSI driver fixes from 2.6.13 to take care
     of panics with some Adaptec cards: driver-scsi-dpt_i2o-fixes.patch.
     See patch header for details and references. (closes: #328534)
 .
   [ Simon Horman ]
   * Added 2.6.13.1
     - Kconfig: saa7134-dvb must select tda1004x
       saa7134-dvb-must-select-tda1004x.patch
     - Fix PCI ROM mapping
       fix-pci-rom-mapping.patch
     - 2.6.13 breaks libpcap (and tcpdump)
       fix-socket-filter-regression.patch
     - [SECURITY] Fix boundary check in standard multi-block cipher processors;
       Maybe local DoS
       ipsec-oops-fix.patch
     - Use SA_SHIRQ in sparc specific code
       sparc-request_irq-in-RTC-fix.patch
     - Reassembly trim not clearing CHECKSUM_HW
       ipv4-fragmentation-csum-handling.patch
     - [SECURITY] 32bit sendmsg() flaw. See CAN-2005-2490
       sendmsg-stackoverflow.patch
     - [SECURITY] raw_sendmsg DoS. See CAN-2005-2492
       sendmsg-DoS.patch
   * Added 2.6.13.2
     - [SECURITY] lost fput in 32bit ioctl on x86-64
       lost-fput-in-32bit-ioctl-on-x86-64.patch
     - [SECURITY] lost sockfd_put() in routing_ioctl()
       lost-sockfd_put-in-32bit-compat-routing_ioctl.patch
     - forcedeth: Initialize link settings in every nv_open()
       forcedeth-init-link-settings-in-nv_open.patch
     - Sun GEM ethernet: enable and map PCI ROM properly (closes: #322734)
       sungem-enable-and-map-pci-rom-properly.patch
     - Sun HME: enable and map PCI ROM properly
       sunhme-enable-and-map-pci-rom-properly.patch
     - Sun HME: enable and map PCI ROM properly
       sunhme-enable-and-map-pci-rom-properly.patch
     - Fix DHCP + MASQUERADE problem
       netfilter-fix-dhcp-masquerade-problem.patch
     - Fix MPOL_F_VERIFY
       fix-MPOL_F_VERIFY.patch
     - Fix up more strange byte writes to the PCI_ROM_ADDRESS config word
       fix-more-byte-to-dword-writes-to-PCI_ROM_ADDRESS-config-word.patch
     - USB: ftdi_sio: custom baud rate fix
       usb-ftdi_sio-baud-fix.patch
Files: 
 9afc6871016d1e4b0a66afd0797dc9f0 7512 devel optional linux-2.6_2.6.12-7.dsc
 802e288ce82e973851cfaad130292ec0 437538 devel optional linux-2.6_2.6.12-7.diff.gz
 4757ccac3b5197887e17e69c417ddba5 3654262 doc optional linux-doc-2.6.12_2.6.12-7_all.deb
 241fb83a00d3b0b6fce2b71cbc5ee57d 288438 devel optional linux-patch-debian-2.6.12_2.6.12-7_all.deb
 199c1687cd2ebddc36b1b563aea76912 36529570 devel optional linux-source-2.6.12_2.6.12-7_all.deb
 1cd179e37c79851823343e9749b65e3d 8760 devel optional linux-tree-2.6.12_2.6.12-7_all.deb
 855b32cc9556ae05849ba9d34a4a9e0e 2882346 devel optional linux-headers-2.6.12-1_2.6.12-7_i386.deb
 49ad893c067994916f1124a516ca545a 394484 devel optional linux-headers-2.6.12-1-386_2.6.12-7_i386.deb
 567dad917032dd61c0a130f4df70af2f 15821416 base optional linux-image-2.6.12-1-386_2.6.12-7_i386.deb
 7074c3d08944dd4e16cb36eb7adbd885 8300 base optional linux-image-386_2.6.12-7_i386.deb
 9ea6b18f0e1dc1d93062b43ac2dd3347 8310 base optional linux-image-2.6-386_2.6.12-7_i386.deb
 0337bf362d318ee052b7e870f9020f74 8338 devel optional linux-headers-2.6-386_2.6.12-7_i386.deb
 cb834e33c5a8d68576c478372040b968 392438 devel optional linux-headers-2.6.12-1-686_2.6.12-7_i386.deb
 1159e53f43e14792ea22fc0c3be7afdc 16685440 base optional linux-image-2.6.12-1-686_2.6.12-7_i386.deb
 680c9cb8b35749b533024d8c30cc1f8b 8328 base optional linux-image-686_2.6.12-7_i386.deb
 c2ef36942ba04694ae478288676fd269 8334 base optional linux-image-2.6-686_2.6.12-7_i386.deb
 79ebb0bb5e67bc1483d7f831e84ba5e0 8366 devel optional linux-headers-2.6-686_2.6.12-7_i386.deb
 44fc5f57360e577f4d7a32b3a372e9eb 390854 devel optional linux-headers-2.6.12-1-686-smp_2.6.12-7_i386.deb
 dc190becd1fbf7ec8c02ef67effc16cb 16553050 base optional linux-image-2.6.12-1-686-smp_2.6.12-7_i386.deb
 be8675dabf9d3e80fa6687190f14f7af 8352 base optional linux-image-686-smp_2.6.12-7_i386.deb
 347ca9f9c51dfb81cf9bd416ce1e19bf 8360 base optional linux-image-2.6-686-smp_2.6.12-7_i386.deb
 8417f2343db860de026b3efff639a2b7 8396 devel optional linux-headers-2.6-686-smp_2.6.12-7_i386.deb
 d83035277f3cbdeab1baf27b332634f4 392410 devel optional linux-headers-2.6.12-1-k7_2.6.12-7_i386.deb
 5f24e290add2139e02ce5b1ef7e62940 16446616 base optional linux-image-2.6.12-1-k7_2.6.12-7_i386.deb
 447b97832e13bc0d9d6e537da5a16b80 8318 base optional linux-image-k7_2.6.12-7_i386.deb
 51af6d0d28784a785786433ba0369236 8326 base optional linux-image-2.6-k7_2.6.12-7_i386.deb
 da7ceaffffd2e4d45099e82b6576b225 8348 devel optional linux-headers-2.6-k7_2.6.12-7_i386.deb
 f1cd2bf96f0743c1da10ce424bec3139 390940 devel optional linux-headers-2.6.12-1-k7-smp_2.6.12-7_i386.deb
 644e5dac1fbaff57655693717d69064c 16373362 base optional linux-image-2.6.12-1-k7-smp_2.6.12-7_i386.deb
 2fd4f1f0408dd6330693f0e64236042c 8346 base optional linux-image-k7-smp_2.6.12-7_i386.deb
 947751cc3a8ab0a0558545594a3f790e 8350 base optional linux-image-2.6-k7-smp_2.6.12-7_i386.deb
 a51505ab49857a5c631bac1c65dbc3b1 8382 devel optional linux-headers-2.6-k7-smp_2.6.12-7_i386.deb
 ab62d51bb953acb73a025b0326297900 8302 base extra kernel-image-2.6-386_2.6.12-7_i386.deb
 9728805a169025049001818ae8f9d68c 8310 base extra kernel-image-2.6-686_2.6.12-7_i386.deb
 3439101311c7ac3da6353e1046e92314 8328 base extra kernel-image-2.6-686-smp_2.6.12-7_i386.deb
 6eef5c2eb2267161e51975e48a9dc857 8302 base extra kernel-image-2.6-k7_2.6.12-7_i386.deb
 99ac45149d0bb805666b2f43d3126cee 8320 base extra kernel-image-2.6-k7-smp_2.6.12-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDMneYdu+M6Iexz7URAuAZAJ9NFnSMugcNk8neWLRxdggRnZwj3wCgiYoD
iu4kx9Hw0/8Hw7g4q7zkJw4=
=tKSU
-----END PGP SIGNATURE-----




Tags added: fixed Request was from Simon Horman <horms@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 22:31:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:53:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.